%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           testdays
Version:        0.0.3
Release:        1%{?dist}
Summary:        Simple app to help record results from Fedora testdays

License:        GPLv2+
URL:            https://bitbucket.org/fedoraqa/testdays
Source0:        https://qadevel.cloud.fedoraproject.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
Requires:       python-flask-sqlalchemy
Requires:       python-flask-wtf
Requires:       python-flask-login
Requires:       python-alembic
Requires:       python-fedora
BuildRequires:  python2-devel python-setuptools

%description
Simple app to help record results from Fedora testdays

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# apache and wsgi settings
mkdir -p %{buildroot}%{_datadir}/testdays/conf
cp conf/testdays.conf %{buildroot}%{_datadir}/testdays/conf/.
cp conf/testdays.wsgi %{buildroot}%{_datadir}/testdays/.

# alembic config and data
cp -r alembic %{buildroot}%{_datadir}/testdays/.
install alembic.ini %{buildroot}%{_datadir}/testdays/.

mkdir -p %{buildroot}%{_sysconfdir}/testdays
install conf/settings.py.example %{buildroot}%{_sysconfdir}/testdays/settings.py.example

%files
%doc README.md conf/*
%{python_sitelib}/testdays
%{python_sitelib}/*.egg-info

%attr(755,root,root) %{_bindir}/testdays
%dir %{_sysconfdir}/testdays
%{_sysconfdir}/testdays/*
%dir %{_datadir}/testdays
%{_datadir}/testdays/*

%changelog
* Thu Sep 10 2015 Tim Flink <tflink@fedoraproject.org> - 0.0.3-1
- fixed alembic path in cli
- added alembic files so migrations work

* Wed Sep 9 2015 Tim Flink <tflink@fedoraproject.org> - 0.0.2-1
- updated summary and description
- included testdays.lib in setup.py

* Thu Feb 6 2014 Josef Skladanka <jskladan@redhat.com> - 0.0.1-1
- initial packaging
